cURL
curl -X POST "https://app.cotool.ai/api/agents/:agentId/trigger/:triggerId/move" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"targetAgentId":"string"}'import requests
url = "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move"
payload = { "targetAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move"
payload := strings.NewReader("{\n \"targetAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "jira",
"name": "<string>",
"enabled": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"config": {},
"eventMode": "direct",
"description": "<string>",
"cronSchedule": "<string>",
"emailAddress": "<string>",
"lastRunAttemptedAt": "<string>",
"lastRunSucceededAt": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Agent Triggers
Move trigger to another agent
Re-assign a trigger to a different agent. The webhook URL and secret are unchanged (they embed only the trigger id), so externally configured webhooks keep working.
POST
/
api
/
agents
/
{agentId}
/
trigger
/
{triggerId}
/
move
cURL
curl -X POST "https://app.cotool.ai/api/agents/:agentId/trigger/:triggerId/move" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"targetAgentId":"string"}'import requests
url = "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move"
payload = { "targetAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/move"
payload := strings.NewReader("{\n \"targetAgentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "jira",
"name": "<string>",
"enabled": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"config": {},
"eventMode": "direct",
"description": "<string>",
"cronSchedule": "<string>",
"emailAddress": "<string>",
"lastRunAttemptedAt": "<string>",
"lastRunSucceededAt": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Unique identifier of the agent
Unique identifier of the trigger
Body
application/json
Request body for moving a trigger to a different agent
Agent that should own and run this trigger
Was this page helpful?
⌘I